Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amentra.metamatrix.solr
Class SolrConnector

    java.lang.Object
      com.amentra.metamatrix.solr.SolrConnector

All Implemented Interfaces:
  com.metamatrix.data.api.Connector

    public class SolrConnector

extends java.lang.Object
implements com.metamatrix.data.api.Connector

Responsible for fetching SolrConnections.

Author:
  Michael Walker

Constructor Summary
`SolrConnector()`

Method Summary
`com.metamatrix.data.api.Connection` | `getConnection(com.metamatrix.data.api.SecurityContext ctx)` Fetches a SolrConnection from the connection pool.
`void` | `initialize(com.metamatrix.data.api.ConnectorEnvironment env)` Creates a connection pool of SolrConnections.
`void` | `start()` Does nothing, since the pool of connections is initialized during initialize.
`void` | `stop()` Stops the connection pool.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SolrConnector

    public SolrConnector()

Method Detail

### getConnection

    public com.metamatrix.data.api.Connection getConnection(com.metamatrix.data.api.SecurityContext ctx)
                                                     throws com.metamatrix.data.exception.ConnectorException

  Fetches a SolrConnection from the connection pool.

  Specified by:
    `getConnection` in interface `com.metamatrix.data.api.Connector`
  Throws:
    `com.metamatrix.data.exception.ConnectorException`
  See Also:
    `Connector.getConnection(com.metamatrix.data.api.SecurityContext)`

### initialize

    public void initialize(com.metamatrix.data.api.ConnectorEnvironment env)
                    throws com.metamatrix.data.exception.ConnectorException

  Creates a connection pool of SolrConnections.

  Specified by:
    `initialize` in interface `com.metamatrix.data.api.Connector`
  Throws:
    `com.metamatrix.data.exception.ConnectorException`
  See Also:
    `Connector.initialize(com.metamatrix.data.api.ConnectorEnvironment)`

### start

    public void start()
               throws com.metamatrix.data.exception.ConnectorException

  Does nothing, since the pool of connections is initialized during initialize.

  Specified by:
    `start` in interface `com.metamatrix.data.api.Connector`
  Throws:
    `com.metamatrix.data.exception.ConnectorException`
  See Also:
    `Connector.start()`

### stop

    public void stop()

  Stops the connection pool.

  Specified by:
    `stop` in interface `com.metamatrix.data.api.Connector`
  See Also:
    `Connector.stop()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD